Supporto » Varie ed eventuali » Problemi con Widget su WordPress 5.8

  • aspire63

    (@aspire63)


    Con la versione corrente a wordpress 5.8 con il tema Nisarg ho riscontrato problemi sul Widget non funziona più correttamente non riconosce più i plugin, quando lo si apre mi escono errori:
    1) Il blocco “nav_menu” contiene degli errori e non può funzionare correttamente. Controlla con gli strumenti per sviluppatori per maggiori dettagli.
    2) Il blocco “calendar” contiene degli errori e non può funzionare correttamente. Controlla con gli strumenti per sviluppatori per maggiori dettagli.
    3) Il blocco “text” contiene degli errori e non può funzionare correttamente. Controlla con gli strumenti per sviluppatori per maggiori dettagli.
    4) Il blocco “slideshowwidget” contiene degli errori e non può funzionare correttamente. Controlla con gli strumenti per sviluppatori per maggiori dettagli.
    5) Il blocco “recent-posts” contiene degli errori e non può funzionare correttamente. Controlla con gli strumenti per sviluppatori per maggiori dettagli.
    Mi potete dare un consiglio riguardo a questo problema grazie
    NB: `Dettagli dell’errore
    ====================
    Un errore di E_ERROR è stato causato nella linea 64 del file /home/patta853/public_html/wp-content/plugins/wp-bannerize/Classes/wpBannerizeWidget.php. Messaggio di errore: Uncaught Error: Call to a member function bannerize() on null in /home/patta853/public_html/wp-content/plugins/wp-bannerize/Classes/wpBannerizeWidget.php:64
    Stack trace:
    #0 /home/patta853/public_html/wp-includes/class-wp-widget.php(393): WPBannerizeWidget->widget(Array, Array)
    #1 /home/patta853/public_html/wp-includes/widgets.php(1977): WP_Widget->display_callback(Array, Array)
    #2 /home/patta853/public_html/wp-includes/rest-api/endpoints/class-wp-rest-widgets-controller.php(630): wp_render_widget(‘wp_bannerize-17’, ‘sidebar-1’)
    #3 /home/patta853/public_html/wp-includes/rest-api/endpoints/class-wp-rest-widgets-controller.php(122): WP_REST_Widgets_Controller->prepare_item_for_response(Array, Object(WP_REST_Request))
    #4 /home/patta853/public_html/wp-includes/rest-api/class-wp-rest-server.php(1140): WP_REST_Widgets_Controller->get_items(Object(WP_REST_Request))
    #5 /home/patta853/public_html/wp-includes/rest-api/class-wp-rest-server.php(987): WP_REST_Server->respond_to_request(Object(WP_REST_Request), ‘/wp/v2/widg`

    La pagina su cui ho bisogno di aiuto: [devi essere connesso per vedere il link]

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Andrea Porotti

    (@andreaporotti)

    Buongiorno @aspire63,

    la soluzione ideale sarebbe avere tema a plugin con supporto alla nuova gestione dei widget introdotta con WordPress 5.8. Se non l’hai già fatto, ti suggerisco prima di tutto di fare un verifica in proposito. Se stai usando un tema o plugin a pagamento controlla i siti dei rispettivi venditori, invece per temi e plugin gratuiti basta controllare le notifiche nella bacheca di WordPress.

    Se non trovi aggiornamenti, l’unica soluzione al momento è installare il plugin “Classic Widgets” che serve a ripristinare la precedente gestione dei widgets. Puoi trovare il plugin a questo indirizzo: https://wordpress.org/plugins/classic-widgets/.

    In qualsiasi caso, prima di procedere accertati di avere un backup completo del sito.

    Facci sapere come va 🙂

    steve92

    (@steve92)

    Chi ha creato la discussione aspire63

    (@aspire63)

    Grazie mille per l’aiuto

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Devi essere collegato per rispondere a questo topic.